## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#Versioning for scribus
#%%global versioning 1.5.3.svn/
Name:		scribus-generator
Version:	4.0
Release:	%autorelease
Summary:	Open source high-quality PDF template and mail-merge alternative

License:	MIT
URL:		https://github.com/berteh/ScribusGenerator

Source0:	https://github.com/berteh/ScribusGenerator/archive/%{version}.tar.gz#/ScribusGenerator-%{version}.tar.gz
Source1:	%{name}.metainfo.xml

BuildRequires:	libappstream-glib
BuildRequires:	pkgconfig(python3)
Requires:	python3-tkinter
Requires:	scribus

BuildArch:	noarch

%description
Mail-Merge-like extension to Scribus, to generate Scribus and 
PDF documents automatically from external data.

%prep
%autosetup -n ScribusGenerator-%{version}

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

%build
#Nothing to builds

%install
install -Dpm 0644 *.{py,conf} -t %{buildroot}%{_datadir}/scribus/scripts/
chmod +x %{buildroot}%{_datadir}/scribus/scripts/*.py
cp -r {example,pic} %{buildroot}%{_datadir}/scribus/scripts/


# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license LICENSE
%doc README.md
%{_datadir}/scribus/scripts/*
#AppStream metadata
%{_metainfodir}/%{name}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 20 2024 Luya Tshimbalanga <luya@fedoraproject.org> - 4.0-1
- Update to 4.0 and update metainfo file

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 23 2021 Luya Tshimbalanga <luya@fedoraproject.org> - 2.9.1-2
- Rebuilt

* Fri Jan 22 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 2.9.1-1
- Update to 2.9.1 (#1919452)

* Sun Mar 22 2020 Luya Tshimbalanga <luya@fedoraproject.org> - 2.9-1
- Update to 2.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 05 2019 Miro Hrončok <mhroncok@redhat.com> - 2.8.1-4
- Stop obsoleting and providing tkinter (#1768831)

* Sat Oct 26 2019 Luya Tshimbalanga <luya@fedoraproject.org> - 2.8.1-3
- Obsolete tkinter and in favor of python3-tkinter for upgrade dependencies
- Use available pkgconf for python3 devel

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 22 2019 Luya Tshimbalanga <luya@fedoraproject.org> - 2.8.1-1
- Update to 2.8.1
- Use metainfo path macro

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Luya Tshimbalanga <luya@fedoraproject.org> - 2.8-1
- Update to 2.8

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.6-2
- Rebuilt for Python 3.7

* Mon May 14 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 2.6-1
- Update to 2.6
- Switched to python3 build requirement rather than python2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-4
- Add missing loggin.conf file

* Thu Jan 18 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-4
- Remove conditional script version
- Add missing directory for frontend

* Sun Dec 17 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-3
- Fix source url

* Fri Dec 01 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-2
- Fix source url
- Add python2-devel for build requirement
- Fix overall spec

* Sun May  7 2017 Luya Tshimbalanga <luya@fedoraproject.org> 2.5-1
- Initial build

## END: Generated by rpmautospec
